Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.behavior
Class MessageNotFoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.richfaces.component.behavior.MessageNotFoundException

All Implemented Interfaces:
  Serializable

    public class MessageNotFoundException

extends Exception

This exception thrown if UIInput component associated with client side validator has no appropriate UIMessage(s)

Author:
  asmirnov@exadel.com
See Also:
  Serialized Form

Constructor Summary
`MessageNotFoundException()`
`MessageNotFoundException(String message)`
`MessageNotFoundException(String message, Throwable cause)`
`MessageNotFoundException(Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MessageNotFoundException

    public MessageNotFoundException()

### MessageNotFoundException

    public MessageNotFoundException(String message)

  Parameters:
    `message` -

### MessageNotFoundException

    public MessageNotFoundException(Throwable cause)

  Parameters:
    `cause` -

### MessageNotFoundException

    public MessageNotFoundException(String message,
                                    Throwable cause)

  Parameters:
    `message` -
    `cause` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.